#include "BustaModelMPGameState.h"

BustaModelMPGameState::BustaModelMPGameState(){
	numopps = 0;
	opponentGS = NULL;
	opponents = NULL;
}

BustaModelMPGameState::BustaModelMPGameState(BustaModelGameState* gs, BustaModelOpponent** opps, int n){
	numopps = n;
	opponents = opps;
	opponentGS = gs;
}

BustaModelMPGameState::~BustaModelMPGameState(){
	delete opponentGS;
	
	for(int i =0; i<numopps; i++){
		delete opponents[i];
	}
}

BustaModelGameState*  BustaModelMPGameState::getGameState(){
	return opponentGS;
}

BustaModelOpponent*  BustaModelMPGameState::getOpponent(int n){
	return opponents[n];
}
